import 'package:flutter/cupertino.dart';
import 'package:flutter_map/flutter_map.dart';
import 'package:geolocator/geolocator.dart';
import 'package:latlong2/latlong.dart';

class MapState extends ChangeNotifier {
  bool _isCurrentlyLoading = false;
  LatLng? _currentLocation;
  LatLng? _activeMarker;
  final MapController _mapController = MapController();
  final Geolocator _geolocator = Geolocator();

  bool get isCurrentlyLoading => _isCurrentlyLoading;
  LatLng? get getCurrentLocation => _currentLocation;
  LatLng? get getActiveMarker => _activeMarker;
  MapController get getMapController => _mapController;
  Geolocator get getGeolocator => _geolocator;

  void setCurrentLocation(LatLng? currentLocation) {
    _currentLocation = currentLocation;
    notifyListeners();
  }

  void setActiveMarker(LatLng? marker) {
    _activeMarker = marker;
    notifyListeners();
  }

  void setLoading(bool loading) {
    _isCurrentlyLoading = loading;
    notifyListeners();
  }
}